Update table description and annotations.
patch
/vecdb/vector-tables/{vector_table_name}
Updates metadata for the specified table. Only description and annotations are supported. Debug flags may be provided for troubleshooting.
Request
Path Parameters
-
vector_table_name(required): string
Name of the vector table. Must contain only letters, digits, and underscore (_).
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
annotations(required): object
annotations
Key-value pairs to attach as user metadata.
-
debugFlags: object
VectorDebugFlags
Debug flags to be used to trace vector modules
Nested Schema : annotations
Type:
objectKey-value pairs to attach as user metadata.
Nested Schema : VectorDebugFlags
Type:
objectDebug flags to be used to trace vector modules
Show Source
-
VEC_INDEX_CALIBRATION: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_COM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_DWNGRD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_GROW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ_BG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_FIXED_VIEW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_APPCHNG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_BUILD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_MEM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_SEARCH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_STATS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_PARTITIONS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_TRACE: string
Allowed Values:
[ "low", "medium", "high" ]
Security
-
BasicAuth: http
Type:
http -
BearerAuth: http
Type:
http -
OAuth2: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
- application/problem+json
202 Response
Update accepted.
Root Schema : VecDBTableNoLinks
Type:
Show Source
object-
annotations: object
annotations
User metadata attached to the table.
-
auto_generate_id: integer
Whether the ID column of the table should be auto generated. Defaults to false.
-
created: string
(date-time)
Creation timestamp of the vector table.
-
dense_idx_name: string
The name of the vector index associated to the vector table.
-
description: string
Description of the vector table
-
embed_params:
embed_params
Embedding model configuration (MODEL tables).
-
index_params: object
index_params
Index configuration for the table.
-
owner: string
-
stats: object
stats
Statistics of the vector table
-
status: string
Population status of the vector table.
-
table_name: string
The name of the table
-
updated: string
(date-time)
Creation timestamp of the vector table.
-
vector_table_type: string
Allowed Values:
[ "BYOV", "MODEL" ]Creation mode of the table. -
vector_type: string
Allowed Values:
[ "dense" ]
Nested Schema : annotations
Type:
objectUser metadata attached to the table.
400 Response
Bad request (invalid JSON, invalid types, missing required fields).
404 Response
Not found or precondition failed.